%define upstream_name    Tapper-Schema
%define upstream_version 4.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Database schemas for Tapper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::C3)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Compress::Bzip2)
BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::Core)
BuildRequires: perl(DBIx::Class::InflateColumn::DateTime)
BuildRequires: perl(DBIx::Class::InflateColumn::Object::Enum)
BuildRequires: perl(DBIx::Class::ResultSet)
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(DBIx::Class::TimeStamp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::Pg)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(TAP::DOM)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::TAP::Harness)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(common::sense)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Database schemas for Tapper.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.1.3-2.mga4
+ Revision: 528497
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 4.1.3-1.mga4
+ Revision: 445729
- Add missing BR
- New version 4.1.2

  + jquelin <jquelin>
    - update to 4.1.3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 4.1.1-2.mga3
+ Revision: 326956
- adding missing buildrequires:
- adding missing buildrequires:

* Sat Oct 27 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 310737
- Missing BR
- Add desc and summary
- imported package perl-Tapper-Schema


* Fri Oct 26 2012 cpan2dist 4.1.1-1mga
- initial mageia release, generated with cpan2dist
